<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"> </script>

<br>
<div style="margin-top: 50px" class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-primary">Students</h3>
  </div>
</div>

<div class="container">
  <div class="card top">
    <div class="row">
      <div class="col-md-1 pull-right">
        <%= link_to 'New', new_student_path , class: "btn btn-info float-right mr-3" %> 
      </div>
      <div class="col-md-1 pull-right">
        <%= link_to 'Back', welcome_user_path , class: "btn btn-warning float-right mr-3" %>
      </div>
    </div>
  </div>
</div>
<br>

<table id="student_list">
  <thead>
    <tr>
      <th>Studend Name</th>
      <th>DOB</th>
      <th>Age</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @students.each do |student| %>
      <tr>
        <td><%= student.stud_name %></td>
        <td><%= student.stud_dob.to_date %></td>
        <td><%= student.age %></td>
        <td><%= link_to "<i class='fa fa-eye' title='Student'></i>".html_safe, student %></td>
        <td><%= link_to "<i class='fa fa-pencil' title='Edit Student'></i>".html_safe, edit_student_path(student) %></td>
        <td><%= link_to "<i class='fa fa-trash' title='Delete Student'></i>".html_safe, student, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>


<script type="text/javascript">
  $(document).ready(function(){
    $('#student_list').dataTable();
  });
</script>


